<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="styles.css" />
    <link
      rel="stylesheet"
      type="text/css"
      href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.css"
    />
    <script
      type="text/javascript"
      charset="utf8"
      src="https://code.jquery.com/jquery-3.5.1.js"
    ></script>
    <script
      type="text/javascript"
      charset="utf8"
      src="https://cdn.datatables.net/1.13.3/js/jquery.dataTables.min.js"
    ></script>
    <!-- <script
      type="text/javascript"
      charset="utf8"
      src="https://cdn.datatables.net/buttons/2.3.5/js/dataTables.buttons.min.js"
    ></script>
    <script
      type="text/javascript"
      charset="utf8"
      src="https://cdn.datatables.net/buttons/2.3.5/js/buttons.html5.min.js"
    ></script>
    <script
      type="text/javascript"
      charset="utf8"
      src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"
    ></script> -->
    <script type="text/javascript" src="libs/FileSaver/FileSaver.min.js"></script>
    <script type="text/javascript" src="libs/js-xlsx/xlsx.core.min.js"></script>
    <script type="text/javascript" src="tableExport.min.js"></script>
    <!-- <script type="text/javascript" src="libs/jsPDF/polyfills.umd.js"></script> -->
    <script type="text/javascript" src="libs/jsPDF/jspdf.umd.min.js"></script>
    <script type="text/javascript" src="libs/html2canvas/html2canvas.min.js"></script>
  </head>

  <body>
    <div class="container">
      <div class="grid-container active">
        <div class="title-container">
          <h1 class="title">Subscriber Provisioning</h1>
        </div>
        <div class="search-container">
          <input
            class="search-input"
            type="text"
            id="phoneNumber"
            placeholder="Enter phone Number"
          />
          <button class="search-button btn-config" id="search">Search</button>
        </div>
        <div class="add-new-subscriber-container">
          <button class="add-button btn-config" id="addButton">
            Add New Subscriber
          </button>
        </div>
        <div class="export-container">
          <button class="export-button btn-config" id="exportButton">Export PDF</button>
          <button class="export-button-xls btn-config" id="exportButtonXLS">Export XLS</button>
        </div>
        <div class="response-message-container">
          <h2 id="responseMessage"></h2>
        </div>
        <div class="table-container">
          <table id="subscribersTable" class="display">
            <thead>
              <tr>
                <th>ID</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Package Type</th>
                <th>Phone Number</th>
                <th>Email</th>
                <th>Address</th>
                <th>OIB</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody id="tBody"></tbody>
          </table>
        </div>
      </div>
      <div class="user-container">
        <div class="firstName-container">
          <label>First Name</label>
          <input
            class="input-style"
            type="text"
            id="firstName"
            placeholder="Your name.."
          />
          <p id="firstNameError"></p>
        </div>
        <div class="lastName-container">
          <label>Last name</label>
          <input
            class="input-style"
            type="text"
            id="lastName"
            placeholder="Your last name.."
          />
        </div>
        <div class="email-container">
          <label>E-Mail</label>
          <input
            class="input-style"
            type="email"
            id="email"
            placeholder="Your email.."
          />
        </div>
        <div class="packageType-container">
          <label>Package Type</label>
          <input
            class="input-style"
            type="text"
            id="packageType"
            placeholder="Prepaid or Postpaid"
          />
        </div>
        <div class="phoneNumber-container">
          <label>Phone number (+385)</label>
          <input
            class="input-style"
            type="text"
            id="phoneNumberid"
            placeholder="Your phone number.."
          />
        </div>
        <div class="address-container">
          <label>Address</label>
          <input
            class="input-style"
            type="text"
            id="address"
            placeholder="Your address.."
          />
        </div>
        <div class="oib-container">
          <label>OIB</label>
          <input
            class="input-style"
            type="number"
            id="Oib"
            placeholder="Your OIB.."
          />
        </div>
        <div class="message-container">
          <h2 id="addSubscriberMessage"></h2>
        </div>
        <div class="back-submit-container">
          <button class="input-style back" id="backButton" value="add">
            <h2>Back</h2>
          </button>
          <button class="input-style submit" id="addUserButton" value="add">
            <input type="hidden" id="subscriberID" value="" />
            <h2 id="submitText">Add Subscriber</h2>
          </button>
        </div>
      </div>
      <div class="copy-table-container">
        <table id="subscribersTableExport" class="display">
          <thead>
            <tr>
              <th>ID</th>
              <th>First Name</th>
              <th>Last Name</th>
              <th>Package Type</th>
              <th>Phone Number</th>
              <th>Email</th>
              <th>Address</th>
              <th>OIB</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody id="tBodyt"></tbody>
        </table>
      </div>
    </div>
    <script src="responses.js"></script>
  </body>
</html>
